package org.ts.ddcs.DataSaveProcesser.jtProcessor;


import org.ts.ddcs.DataItemTemplate.DataItemTemplateInterface;
import org.ts.ddcs.DataSaveProcesser.DataSaveProcesser;
import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;
import org.ts.ddcs.Worker.DataProcessHolder;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;


/**
 * 0x0100
 * 设备注册
 */
public class DataProcessorJtLocation extends DataSaveProcesser {

    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        try {
            Date dt = new Date();
            SimpleDateFormat timeFormat = new SimpleDateFormat("yyyyMMddHHmmss");
            String rtuCode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode()).substring(4,20);
            Map<String, DataItemTemplateInterface> dataItem = dataTemplateInterface.DataItem();
            DataItemTemplateInterface itemTemplateInterface = dataItem.get("location");
            if (null != itemTemplateInterface){
                DataProcessHolder.newInstance().dataProcess.jtService.updateLocation(rtuCode,itemTemplateInterface.GetDatas());
            }
        } catch (Exception e) {
            LogHelper.error(e);
        }
    }
}
